Subject: Re: [bug#32431] [PATCH] gnu: clementine: Drop dependency on qtwebkit.

From: Pierre Langlois <[email-masked]>
Date: Wed, 15 Aug 2018 07:57:07 +0100

Leo Famulari writes:

> On Tue, Aug 14, 2018 at 10:32:11PM +0100, Pierre Langlois wrote:
>> * gnu/packages/databases.scm (sqlite-with-fts3): Remove.
>> * gnu/packages/music.scm (clementine)[inputs]: Replace sqlite-with-fts3 with
>> sqlite.
>> [source][patches]: Add clementine-fix-sqlite.patch.
>> * gnu/packages/patches/clementine-fix-sqlite.patch: New file.
>> * gnu/local.mk (dist_patch_DATA): Add it.
>
> Thanks!
>
> With this, I could start Clementine but I couldn't actually play
> any MP3 or FLAC files. It would fail with a dialog that said:
>
> "GStreamer could not create the element: autoaudiosink. Please make sure
> that you have installed all necessary GStreamer plugins (e.g. OGG and
> MP3)"

Ah yes, that's expected. when packaging this we agreed not to add any of
the gst-plugins-{good,bad,ugly} to the inputs and let the user install
what they want instead [0]. Although, while we defenetely shouldn't add
'bad' and 'ugly', I don't see any reason not to add 'good' to make sure
it all works out of the box. But then, the dialog hints the user should
install them so that's not so bad as it is.

Basically, I don't mind either way :-).

Thanks for testing!

Pierre

[0]: https://lists.gnu.org/archive/html/guix-patches/2017-02/msg00192.html

>
> But, when I rebuilt Clementine with the missing plugins (as attached),
> it works.
>
> If that change looks good to you I'll push it along with your patches.
> diff --git a/gnu/packages/music.scm b/gnu/packages/music.scm
> index 7d4aeff99..2b8ff451b 100644
> --- a/gnu/packages/music.scm
> +++ b/gnu/packages/music.scm
> @@ -272,6 +272,8 @@ score, keyboard, guitar, drum and controller views.")
>           ("glu" ,glu)
>           ("gstreamer" ,gstreamer)
>           ("gst-plugins-base" ,gst-plugins-base)
> +         ("gst-plugins-good" ,gst-plugins-good)
> +         ("gst-libav" ,gst-libav)
>           ("libcdio" ,libcdio)
>           ("libmygpo-qt" ,libmygpo-qt)
>           ;; TODO: Package libgpod.